{% extends 'my_vl_app/base.html' %}

{% block content %}
<div class="container">
    <div class="card">
        <h5 class="card-header">Virtual Library - Bookshelfs Updated</h5>
        <div class="card-body">
            <div class="accordion" id="accordionPanelsStayOpenExample">
                {% for bookshelf in bookshelfs %}
                <div class="accordion-item">
                    <h2 class="accordion-header" id="panelsStayOpen-headingOne">
                        <button class="accordion-button collapsed" type="button" data-bs-toggle="collapse" data-bs-target="#panelsStayOpen-{{ forloop.counter }}" aria-expanded="true" aria-controls="panelsStayOpen-{{ forloop.counte }}">
                            Bookshelf {{ bookshelf.id }} | Category: {{ bookshelf.category }}
                        </button>
                    </h2>
                    {% if forloop.first %}
                        <div id="panelsStayOpen-{{ forloop.counter }}" class="accordion-collapse collapse show" aria-labelledby="panelsStayOpen-{{ forloop.counter }}">
                    {% else %}
                        <div id="panelsStayOpen-{{ forloop.counter }}" class="accordion-collapse collapse" aria-labelledby="panelsStayOpen-{{ forloop.counter }}">
                    {% endif %}
                            <div class="accordion-body">
                            {% if bookshelf.books %}
                                <table class="table table-dark table-hover">
                                    <thead>
                                        <tr>
                                        <th scope="col">Book ID</th>
                                        <th scope="col">Title</th>
                                        <th scope="col">Synopsis</th>
                                        <th scope="col">Author</th>
                                        <th scope="col">Editorial</th>
                                        <th scope="col">Copies</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                    {% for book in bookshelf.books %}
                                        <tr>
                                            <th scope="row"> {{ book.id }} </th>
                                            <td> {{ book.title }} </td>
                                            <td> {{ book.synopsis }} </td>
                                            <td> {{ book.autor.name }} </td>
                                            <td> {{ book.editorial.name }} </td>
                                            <td> {{ book.copies }} </td>
                                        </tr>
                                    {% endfor %}
                                    </tbody>
                                </table>
                            {% else %}
                                <div class="alert alert-warning" role="alert">
                                    There are no books in this bookshelf.
                                </div>
                            {% endif %}
                        </div>
                    </div>
                </div>
                {% empty %}
                    <h2>{{ message }}</h2>
                    <h3>You can try add a new bookshelf <a href="{% url 'add_bookshelf' %}">here</a>!</h3>
                {% endfor %}
            </div>
        </div>
    </div>
</div>
{% endblock %}
